Bug 1283802 - docker-selinux build failure on CentOS 7
docker-selinux build failure on CentOS 7
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On: 1341257
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 18:21 EST by Colin Walters
Modified: 2017-08-08 08:26 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:26:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2015-11-19 18:21:12 EST
I'm working on CentOS Atomic Host Continuous which uses the Fedora spec files and upstream git master on a CentOS base.

Full log: https://s3.amazonaws.com/cdn.verbum.org/docker-build.log

make -f /usr/share/selinux/devel/Makefile docker.pp
make[1]: Entering directory `/builddir/build/BUILD/docker-v1.4.1-7019-6f99e90121d2bba5d9b12a1c80dbe344e79e7c8e/docker-selinux-e5221913ecbc683b029d10128019b3da2d00138e'
Compiling targeted docker module
/usr/bin/checkmodule:  loading policy configuration from tmp/docker.tmp
docker.te":356:ERROR 'syntax error' at token 'systemd_dbus_chat_machined' on line 18980:
	systemd_dbus_chat_machined(docker_t)
#line 356
/usr/bin/checkmodule:  error(s) encountered while parsing configuration
make[1]: *** [tmp/docker.mod] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/docker-v1.4.1-7019-6f99e90121d2bba5d9b12a1c80dbe344e79e7c8e/docker-selinux-e5221913ecbc683b029d10128019b3da2d00138e'
make: *** [docker.pp] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.6tCuNb (%build)

It looks like...
https://github.com/fedora-cloud/docker-selinux/commit/e5221913ecbc683b029d10128019b3da2d00138e

Oh I see, I bet I need to be building the rhel-1.9 branch.

Hmm.  Messy.  I suppose rpmdistro-gitoverlay will have to be aware of this...

How hard would it be to have one branch that builds on both Fedora and RHEL using something like conditionals?
Comment 1 Daniel Walsh 2015-11-20 06:43:58 EST
Well at 7.3 time frame hopefully we can merge them back together.
Comment 2 Jan Kurik 2016-02-24 08:59:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Daniel Walsh 2016-06-03 08:39:51 EDT
Requires update selinux-policy package for rhel
Comment 4 Fedora Admin XMLRPC Client 2016-06-08 10:10:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Daniel Walsh 2016-08-19 17:25:03 EDT
Should be fixed at this time.
Comment 6 Fedora End Of Life 2017-07-25 15:32:00 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:26:23 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.